# v4l2_enc_num_ref_frames_ Struct Reference
[V4L2 Video Encoder]

Holds encoder number of reference frame parameters. More...

`#include <v4l2_nv_extensions.h>`

List of all members.

## Public Attributes

__u32 | frames
| Number of reference frames.

## Detailed Description

Holds encoder number of reference frame parameters.

To be used with V4L2_CID_MPEG_VIDEOENC_NUM_REFERENCE_FRAMES ioctl.

This is not supported for H265

Definition at line 1010 of file v4l2_nv_extensions.h.

## Member Data Documentation

__u32 v4l2_enc_num_ref_frames_::frames

Number of reference frames.

Definition at line 1013 of file v4l2_nv_extensions.h.

The documentation for this struct was generated from the following file:

- include/v4l2_nv_extensions.h